package com.kcim.service;

import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;

/**
 * @program: CostAccount
 * @description: 患者信息导入接口
 * @author: Wang.YS
 * @create: 2023-10-19 18:09
 **/
public interface PatientInfoImportService {
    /**
     * 月度信息采集-患者信息导入-获取导入列表
     *
     * @param current        当前页
     * @param pageSize       页容量
     * @param computeDate    核算年月
     * @param departmentName 科室名称
     * @param patientName    患者姓名
     * @param filter
     * @param departmentCode
     * @return 导入列表
     */
    Object getPatientInfoList(Integer current, Integer pageSize, String computeDate, String departmentName, String patientName, String filter, String departmentCode);

    /**
     * 月度信息采集-患者信息导入-获取导出模版
     * @param response 出参
     * @return 导出模版
     */
    Object exportPatientInfo(HttpServletResponse response);

    /**
     * 月度信息采集-患者信息导入-导入数据
     * @param computeDate 核算年月
     * @param file 文件
     */
    void importPatientInfo(String computeDate, MultipartFile file);

    Object getPatientInfoDepartment(Integer type, String filter, String computeDate);

    void removePatientInfo(String computeDate);

    void removePatientInfoByFileId(String computeDate,Long fileId);

    void reducingPatientInfoByFileId(String computeDate,Long fileId);
}
